This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 8384 - rpm --rebuild of PostgreSQL SRPM fails
Summary: rpm --rebuild of PostgreSQL SRPM fails
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: sparc Linux
medium
high
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-11 23:34 UTC by Steevithak
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-13 21:53:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steevithak 2000-01-11 23:34:16 UTC
The postgreSQL 6.5.2 (RH6.1) and 6.5.3 (rawhide) SRPMs fail with an error
if an attempt is made to use the rpm --rebuild command. It appears that the
configure script cannot determine the system type and no Makefile is
created, resulting in a make failure.  This is a bit of problem as the
binary RPMs fail to work at all on Ultra Sparcs (and probably other 64 bit
architecures). A simple one-line patch is available to fix the problem but
it appears that compiling and installing postgreSQL from the SRPMS is
itself a non-trivial procedure.

Comment 1 Jeff Johnson 2000-01-12 15:09:59 UTC
If you're rebuilding on a sparc64 platform, you will need to do
	sparc32 rpm --rebuild postgres*.src.rpm
Using sparc32 is necessary for many src.rpm's.

Otherwise, please indicate the error that you are seeing.

Comment 2 Jeff Johnson 2000-01-13 21:53:59 UTC
I believe this problem is resolved. Please reopen if not.


Note You need to log in before you can comment on or make changes to this bug.